<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
<!DOCTYPE MAN SYSTEM "file://../manrev.dtd">
<MAN>
  <LANGUAGE>eng</LANGUAGE>
  <TITLE>mtx_pack</TITLE>
  <TYPE>Scilab Function  </TYPE>
  <DATE>26-Jun-2007</DATE>
  <SHORT_DESCRIPTION name="mtx_pack">  removes unnecessary dimensions from a CoolMatrix</SHORT_DESCRIPTION>

  <CALLING_SEQUENCE>
  <CALLING_SEQUENCE_ITEM>result = new_mtx(mtx)</CALLING_SEQUENCE_ITEM>
  </CALLING_SEQUENCE>

  <PARAM>
  <PARAM_INDENT>

    <PARAM_ITEM>
    <PARAM_NAME>mtx</PARAM_NAME>
    <PARAM_DESCRIPTION>
       <SP>
       : a CoolMatrix. The matrix to remove the dimensions from
       </SP>
    </PARAM_DESCRIPTION>
    </PARAM_ITEM>

    <PARAM_ITEM>
    <PARAM_NAME>result</PARAM_NAME>
    <PARAM_DESCRIPTION>
       <SP>
           a CoolMatrix with the unnecessary dimensions removed. 
       </SP>
    </PARAM_DESCRIPTION>
    </PARAM_ITEM>
  </PARAM_INDENT>
  </PARAM>
  <DESCRIPTION>
     <DESCRIPTION_INDENT>
     <DESCRIPTION_ITEM>
     <P>
        This function removes the unnecessary dimensions from a CoolMatrix.
      </P>
      <P>
      The dimension "k" is considered "unnecessary" if its length is equal to one (i.e. size(mtx,k)=1 ) AND
      all indices on the right (i.e. k+1, k+2 etc. ) are also "unnecessary".
     </P>
      <P>
      No changes are allowed if the matrix has only two dimensions. Therefore an nx1 matrix is NEVER
      packed. The nx1x1 vector is packed to nx1.
     </P>
     </DESCRIPTION_ITEM>
     </DESCRIPTION_INDENT>
  </DESCRIPTION>
  <SECTION label="Example">
  <!-- ======================================================================= -->
      <P><BD>
          Example 1.
      </BD></P><P>
        A simple 2x1x1 CoolMatrix that is indexed from 0 is packed to 2x1
      </P><VERBATIM>

        mtx = new_mtx([1,1,1], ones(2,1,1));
        disp(mtx);
        disp("The result is");
        mtx = mtx_pack(mtx);
        disp(mtx);
      </VERBATIM>
      <P><EM> Result: </EM>
is a CoolMatrix (1..2, 1..1, 1..1)

(:,:,1)

    1.
    1.

The result is

is a CoolMatrix (1..2, 1..1)

    1.
    1.
     </P>
      <P>
         Note that the last index is removed.
      </P>
  <!-- ======================================================================= -->
  </SECTION>
  <SECTION label="Related functions">
  <ITEMIZE label="Related functions list">
    <ITEM label="new_mtx"> <PP> - the <LINK> new_mtx</LINK> function is used
          to create a new CoolMatrix </PP></ITEM>
  </ITEMIZE>
  </SECTION>
  <SEE_ALSO>
    <SEE_ALSO_ITEM> <LINK> new_mtx</LINK> </SEE_ALSO_ITEM>
  </SEE_ALSO>

  <AUTHORS>
    <AUTHORS_ITEM label='Lukasz Hladowski'>
    ISSI, UZ, Poland, e-mail: l.hladowski@issi.uz.zgora.pl
    </AUTHORS_ITEM>
  </AUTHORS>
</MAN>
